# ALE
## Automatic Linear Editor

Give ALE a video and a target length, and ALE will automatically create a highlight reel for you.

```
usage: ALE [-h] [-p PARALLELISM] [--cost-function {quadratic}] [--min-duration MINDUR]
           [--max-duration MAXDUR] [--intro-video INTROVIDPATH] [--outro-video OUTROVIDPATH]
           [--title-slide-text OUTROVIDPATH] [--title-slide-duration OUTROVIDPATH]
           file duration destination {amplitude,sentiment} ...

ALE: Automatic Linear Editor.

positional arguments:
  file                  Path to the video file to edit
  duration              Target length of the edit, in seconds
  destination           Edited video save location
  {amplitude,sentiment}
                        The editing algorithm to use
    amplitude           The amplitude editor uses audio amplitude moving averages to find swings
                        from relatively quiet moments to loud moments. This is useful in videos
                        where long moments of quiet are interspersed with loud action filled
                        moments.
    sentiment           The sentiment editor transcribes the speech in a video and runs sentiment
                        analysis on the resulting text. Using moving averages, large swings in
                        sentiment can be correlated to controversial or exciting moments. A GPU with
                        CUDA is recommended for fast results.

optional arguments:
  -h, --help            show this help message and exit
  -p PARALLELISM, --parallelism PARALLELISM
                        The number of cores to use, defaults to N - 2 cores.
  --cost-function {quadratic}
  --min-duration MINDUR
                        Minimum clip duration
  --max-duration MAXDUR
                        Maximum clip duration
  --intro-video INTROVIDPATH
                        Path to a video file to use as an intro
  --outro-video OUTROVIDPATH
                        Path to a video file to use as an outro
  --title-slide-text OUTROVIDPATH
                        Text to show during a title slide. The title slide is played after any
                        provided intro. If there is no intro, the title slide is the intro
  --title-slide-duration OUTROVIDPATH
                        Time, in seconds, to show a title slide for
```
